import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["type"];
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import Input, { inputSizes, inputStates } from './Input/index.js';
import Mask from './Mask/index.js';
import Password from './Password/index.js';
import { INPUT_SHAPES, TYPES } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AtomInput = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var type = _ref.type,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  switch (type) {
    case 'sui-password':
      return /*#__PURE__*/_jsx(Password, _extends({
        ref: ref
      }, props));

    case 'mask':
      return /*#__PURE__*/_jsx(Mask, _extends({
        ref: ref
      }, props));

    default:
      return /*#__PURE__*/_jsx(Input, _extends({
        ref: ref
      }, props, {
        type: type
      }));
  }
});
AtomInput.displayName = 'AtomInput';
export default AtomInput;
export { inputSizes, inputStates, TYPES as inputTypes, INPUT_SHAPES as inputShapes };